function [] = titletight(str,str1,val1,str2,val2)
%titletight(string)
%titletight(string,'FontSize',fontsize)
%
%Places a title on the current axes and makes 
%the title hug the top of the axis.  ZeroPos refers 
%to the zeroposition and accept 'top or 'bottom' as 
%inputs.  ZeroPos defaults to 'bottom'

str2 = 'ZeroPos';
yd = get(gca,'YDir');
if(isequal(yd,'normal'))
    val2 = 'bottom';
else
    val2 = 'top';
end
if(nargin < 2) 
    h = title(str,'FontSize',[8]); 
    if(isequal(yd,'normal'))
        tb = 'b';
    else
        tb = 't';
    end
else
    if(isequal(str1(1),'F'))
        h = title(str,'FontSize',val1);
        try tb = val2; catch tb = 'b'; end
    elseif(isequal(str1(1),'Z') & nargin > 3)
        h = title(str,'FontSize',val2);
        tb = val1;
    else
        h = title(str,'FontSize',[8]);
        tb = val1;
    end
end
P = get(h,'Position');
A = axis;
if(isequal(tb(1),'b') | isequal(tb(1),'B'))
    set(h,'Position',[P(1) A(4)]);
else
    set(h,'Position',[P(1) A(3)]);
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%